import React from "react";
import { SeatSelectForm } from "../../Form/SeatSelectForm/SeatSelectForm.jsx";
import { action } from "@storybook/addon-actions";

const seatOptions = [
  { value: 1, label: "1 Seat" },
  { value: 2, label: "2 Seats" },
  { value: 3, label: "3 Seats" },
  { value: 4, label: "4 Seats" },
  { value: 5, label: "5 Seats" },
];

export default {
  title: "Form/SeatSelect",
  component: SeatSelectForm,
  args: {
    seatOptions,

    setSeatCount: action("Seat count changed"),
    onClose: action("Continue clicked"),
  },
};

export const seatSelectForm = (args) => (
  <SeatSelectForm
    {...args}
  />
);
